Retirees need $581 now; tell Congress to pass the SAVE Benefits Act

Source: Alliance for Retired Americans

There was no 2016 Social Security Cost of Living Adjustment (COLA) for beneficiaries. That was bad. But the just announced 2017 COLA of just $5.00 per month for the average retiree may wind up being worse for retirees. Since there was a COLA, Medicare premiums are expected to increase. It’s likely that those premiums will absorb all of the COLA, leaving beneficiaries with no additional money to help pay their bills.

Retirees need relief now. In 2015 Sen. Elizabeth Warren of Massachusetts introduced the SAVE Benefits Act, which would provide Social Security beneficiaries with a one-time payment of $581, in part to make up for the lack of meaningful COLAs. But for more than a year, the Republican leadership in Congress has blocked Senator Warren’s plan and kept it from coming to a vote, much less becoming law.

Enough is enough.

Two-thirds of seniors rely on Social Security for over half their income. It is the only source of guaranteed, earned benefits for millions of retirees. Grocery, rent and prescription drug prices continue to rise, leaving seniors feeling squeezed.

$581 will make the difference to seniors on a fixed income. And making these payments wouldn’t increase the deficit or harm the Social Security trust fund – Senator Warren would pay for it by closing corporate tax loopholes that allow corporations to deduct the pay raises they give their millionaire CEOs. It’s time for Congress to stand with seniors.

We call on Congress to stand with seniors and pass Senator Elizabeth Warren’s SAVE Benefits Act (SB 2251).

America’s retirees should not be forced to decide between putting food on the table and paying for healthcare. Social Security beneficiaries have gone too long without a meaningful increase. They should get this one-time payment of $581 paid for by closing tax breaks for large corporations.

Please click here to tell Congress to pass the SAVE Benefits Act and give seniors the help they need.